Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.customer
Class CustomerValue

    java.lang.Object
      com.beasys.commerce.axiom.contact.ContactValue
          com.beasys.commerce.ebusiness.customer.CustomerValue

All Implemented Interfaces
  Serializable

Deprecated See BEA Commerce product offering

    @Deprecated
    public class CustomerValue

extends com.beasys.commerce.axiom.contact.ContactValue

Stores the information required to do business with a customer.

See Also
  `Customer`, `CustomerHome`, `CustomerDelegate.getCustomerByValue()`, `CustomerDelegate.setCustomerByValue(CustomerValue)`, Serialized Form

Field Summary
`Map` | `creditCards` Deprecated See BEA Commerce product offering
`String` | `customerType` Deprecated See BEA Commerce product offering
`Timestamp` | `dateOfBirth` Deprecated See BEA Commerce product offering
`String` | `educationLevel` Deprecated See BEA Commerce product offering
`Boolean` | `emailOptIn` Deprecated See BEA Commerce product offering
`String` | `employmentStatus` Deprecated See BEA Commerce product offering
`String` | `gender` Deprecated See BEA Commerce product offering
`String` | `incomeRange` Deprecated See BEA Commerce product offering
`String` | `maritalStatus` Deprecated See BEA Commerce product offering
`String` | `occupation` Deprecated See BEA Commerce product offering
`String` | `quality` Deprecated See BEA Commerce product offering
`Map` | `shippingAddress` Deprecated See BEA Commerce product offering

Fields inherited from class com.beasys.commerce.axiom.contact.ContactValue
`businessPhone, contactAddress, email, fax, firstName, homePhone, identifier, lastName, middleName, suffix, title`

Constructor Summary
`CustomerValue()` Deprecated See BEA Commerce product offering

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### creditCards

    public Map creditCards

  Deprecated See BEA Commerce product offering
  - Containment: By Value
  - Multiplicity: 0:N
  - Interface: java.util.Map

### customerType

    public String customerType

  Deprecated See BEA Commerce product offering
  There may be several different types of customer ordering goods. eg standard customer, preferred customer, business customer etc. customerType is used to specify this.
  - Containment: By Value
  - Multiplicity: 1:1

### shippingAddress

    public Map shippingAddress

  Deprecated See BEA Commerce product offering
  - Containment: By Value
  - Multiplicity: 0:N
  - Interface: java.util.Map

### incomeRange

    public String incomeRange

  Deprecated See BEA Commerce product offering

### maritalStatus

    public String maritalStatus

  Deprecated See BEA Commerce product offering

### educationLevel

    public String educationLevel

  Deprecated See BEA Commerce product offering

### dateOfBirth

    public Timestamp dateOfBirth

  Deprecated See BEA Commerce product offering

### gender

    public String gender

  Deprecated See BEA Commerce product offering

### occupation

    public String occupation

  Deprecated See BEA Commerce product offering

### employmentStatus

    public String employmentStatus

  Deprecated See BEA Commerce product offering

### emailOptIn

    public Boolean emailOptIn

  Deprecated See BEA Commerce product offering

### quality

    public String quality

  Deprecated See BEA Commerce product offering

Constructor Detail

### CustomerValue

    public CustomerValue()

  Deprecated See BEA Commerce product offering

  The constructor has been made public in order to allow defer entity creation for interactive web applications. The public constructor allows applications to create CustomerValue objects to hold attributes without creating the entity.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved